fv::root::ContainerTGraph Class Reference
Inheritance diagram for fv::root::ContainerTGraph:
[legend]
Collaboration diagram for fv::root::ContainerTGraph:
[legend]

## Public Member Functions

| ContainerTGraph (const std::string &name, const std::string &title, Value< std::pair< int, int >> *value)
TGraph * | get_container ()
void | save_as (const std::string &fname, const SaveOption &option=SaveOption::PNG)
Public Member Functions inherited from fv::Container< TGraph >
| Container (const std::string &name, TGraph *container)
Public Member Functions inherited from fv::GenContainer
| GenContainer (const std::string name, const std::string &desc)
| GenContainer (const std::string name)
void | add_filter (GenValue *filter)
void | fill ()
void | set_description (const std::string &description)
const std::string & | get_name ()
virtual void | save (const SaveOption &option=SaveOption::PNG)

## Private Member Functions

void | _fill ()

## Private Attributes

Value< std::pair< int, int > > * | value
std::vector< int > | x_data
std::vector< int > | y_data
std::string | title
bool | data_modified

## Additional Inherited Members

Protected Attributes inherited from fv::Container< TGraph >
TGraph * | container

The documentation for this class was generated from the following file:

- /home/caleb/Sources/TTTT/filval_root/container.hpp